Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160138 - local variable used before set
Summary: local variable used before set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-11 09:21 UTC by David Binderman
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-19 18:28:25 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-11 09:21:18 UTC
Description of problem:

I just tried to compile package openldap-2.2.26-1 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

../../../servers/slapd/syncrepl.c(1379): remark #592: variable "newp" is used
before its value is set

The source code is

	if ( !dn_match( &noldp, &newp )) {

Clearly broken code. Suggest initialise local variable "newp" before 
first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jay Fenlason 2006-01-11 20:10:09 UTC
Upstream as http://www.OpenLDAP.org/its/index.cgi?findid=4331 

Comment 2 Jay Fenlason 2006-09-19 18:28:25 UTC
Upstream fixed this a while ago. 


Note You need to log in before you can comment on or make changes to this bug.